%define upstream_name    Git-DescribeVersion
%define upstream_version 1.015

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Use git-describe to show a repo's version
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Git/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Cwd)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(List::Util)
BuildRequires: perl(Test::MockObject) >= 1.90.0
BuildRequires: perl(Test::MockObject::Extends) >= 1.90.0
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(strict)
BuildRequires: perl(version) >= 0.820.0
BuildRequires: perl(warnings)
BuildRequires: git >= 1.5.5
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.15.0-8pclos2017
- rebuild against updates

